#ifndef SOCKETCLIENT_H
#define SOCKETCLIENT_H

#include "FamillesAdresse.h"
#include "FamillesProtocole.h"
#include "Port.h"
#include "Adresse.h"
#include "SocketBase.h"

namespace SocketsFlux
{
   //
   // SocketClient
   //
   class SocketClient
      : public SocketBase
   {
   public:
      SocketClient(const Adresse &ad, const Port &p,
                   const FamilleAdresse fam = Inet, const FamilleProtocole proto = Tcp)
         : SocketBase(fam, proto)
      {
         socket().connecter(ad, p);
      }
   };
}

#endif
