#ifndef SOCKETSERVEUR_H
#define SOCKETSERVEUR_H

#include "FamillesAdresse.h"
#include "FamillesProtocole.h"
#include "Port.h"
#include "Adresse.h"
#include "SocketBase.h"

namespace SocketsFlux
{
   //
   // SocketServeur
   //
   class SocketServeur
      : public SocketBase
   {
   public:
      SocketServeur(const Port &p, const FamilleAdresse fam = Inet,
                    const FamilleProtocole proto = Tcp)
         : SocketBase(fam, proto)
      {
         socket().lier(p);
      }
      ISocket* accepter()
         { return socket().accepter().second; }
   };
}

#endif
